DELETE FROM "oc_appconfig" WHERE appid IN ( 'user_ldap', 'user_saml', 'password_policy' );
INSERT INTO "oc_appconfig" VALUES('user_ldap','installed_version','1.9.0');
INSERT INTO "oc_appconfig" VALUES('user_ldap','enabled','yes');
INSERT INTO "oc_appconfig" VALUES('user_ldap','types','authentication');
INSERT INTO "oc_appconfig" VALUES('user_ldap','_lastChange','1234567890');
INSERT INTO "oc_appconfig" VALUES('user_ldap','cleanUpJobOffset','0');
INSERT INTO "oc_appconfig" VALUES('user_ldap','has_memberof_filter_support','1');
INSERT INTO "oc_appconfig" VALUES('user_ldap','ldap_agent_password','LDAP_ENCODE');
INSERT INTO "oc_appconfig" VALUES('user_ldap','ldap_attributes_for_user_search','uid');
INSERT INTO "oc_appconfig" VALUES('user_ldap','ldap_base','LDAP_BASE');
INSERT INTO "oc_appconfig" VALUES('user_ldap','ldap_base_groups','ou=groups,LDAP_BASE');
INSERT INTO "oc_appconfig" VALUES('user_ldap','ldap_base_users','ou=users,LDAP_BASE');
INSERT INTO "oc_appconfig" VALUES('user_ldap','ldap_display_name','cn');
INSERT INTO "oc_appconfig" VALUES('user_ldap','ldap_dn','LDAP_BIND_DN');
INSERT INTO "oc_appconfig" VALUES('user_ldap','ldap_email_attr','mail');
INSERT INTO "oc_appconfig" VALUES('user_ldap','ldap_experienced_admin','1');
INSERT INTO "oc_appconfig" VALUES('user_ldap','ldap_expert_username_attr','uid');
INSERT INTO "oc_appconfig" VALUES('user_ldap','ldap_expert_uuid_user_attr','entryUUID');
INSERT INTO "oc_appconfig" VALUES('user_ldap','ldap_expert_uuid_group_attr','entryUUID');
INSERT INTO "oc_appconfig" VALUES('user_ldap','ldap_host','LDAP_HOST');
INSERT INTO "oc_appconfig" VALUES('user_ldap','ldap_group_filter','(|(objectClass=groupOfUniqueNames)(objectClass=groupOfNames))');
INSERT INTO "oc_appconfig" VALUES('user_ldap','ldap_login_filter','(&(objectclass=LDAP_USEROC)(|(uid=%uid)(mailPrimaryAddress=%uid)(mail=%uid)))');
INSERT INTO "oc_appconfig" VALUES('user_ldap','ldap_loginfilter_email','1');
INSERT INTO "oc_appconfig" VALUES('user_ldap','ldap_loginfilter_username','1');
INSERT INTO "oc_appconfig" VALUES('user_ldap','ldap_port','LDAP_PORT');
INSERT INTO "oc_appconfig" VALUES('user_ldap','ldap_quota_attr','cloudQuota');
INSERT INTO "oc_appconfig" VALUES('user_ldap','ldap_quota_def','2G');
INSERT INTO "oc_appconfig" VALUES('user_ldap','ldap_turn_off_cert_check','LDAP_NO_VERIFY');
INSERT INTO "oc_appconfig" VALUES('user_ldap','ldap_userfilter_objectclass','LDAP_USEROC');
INSERT INTO "oc_appconfig" VALUES('user_ldap','ldap_userfilter_groups','LDAP_GROUP');
INSERT INTO "oc_appconfig" VALUES('user_ldap','ldap_userlist_filter','(objectclass=LDAP_USEROC)');
INSERT INTO "oc_appconfig" VALUES('user_ldap','ldap_configuration_active','1');
INSERT INTO "oc_appconfig" VALUES('user_saml','installed_version','SAML_APP_VERS');
INSERT INTO "oc_appconfig" VALUES('user_saml','enabled','no');
INSERT INTO "oc_appconfig" VALUES('user_saml','types','authentication');
INSERT INTO "oc_appconfig" VALUES('user_saml','type','saml');
INSERT INTO "oc_appconfig" VALUES('password_policy','minLength','4');
INSERT INTO "oc_appconfig" VALUES('password_policy','enforceNonCommonPassword','0');
INSERT INTO "oc_appconfig" VALUES('password_policy','types','');
INSERT INTO "oc_appconfig" VALUES('password_policy','enabled','yes');
